---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 3.0.0
      group: io.fabric8.funktion.apps
    name: configmapcontroller
- apiVersion: v1
  kind: RoleBinding
  metadata:
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 3.0.0
      group: io.fabric8.funktion.apps
    name: configmapcontroller-edit
  roleRef:
    name: edit
  subjects:
  - kind: ServiceAccount
    name: configmapcontroller
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 89f88a0c73fe165b44ce7b3ce5a5b172688199bf
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=configmapcontroller&var-version=3.0.0
      fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/configmapcontroller
      fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/configmapcontroller
      fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/configmapcontroller/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v3.0.0
      fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/configmapcontroller
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 3.0.0
      group: io.fabric8.funktion.apps
    name: configmapcontroller
  spec:
    replicas: 1
    selector:
      project: configmapcontroller
      provider: fabric8
      group: io.fabric8.funktion.apps
    strategy:
      rollingParams:
        timeoutSeconds: 7200
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 89f88a0c73fe165b44ce7b3ce5a5b172688199bf
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=configmapcontroller&var-version=3.0.0
          fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/configmapcontroller
          fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/configmapcontroller
          fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/configmapcontroller/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v3.0.0
          fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/configmapcontroller
          fabric8.io/scm-tag: app-console-2.0.1
        labels:
          provider: fabric8
          project: configmapcontroller
          version: 3.0.0
          group: io.fabric8.funktion.apps
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/configmapcontroller:2.3.7
          name: configmapcontroller
        serviceAccountName: configmapcontroller
    triggers:
    - type: ConfigChange
